package ink.wgink.module.activiti.pojo.vos.oa.page;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName: FieldControlVO
 * @Description: 字段
 * @Author: wanggeng
 * @Date: 2022/4/20 14:59
 * @Version: 1.0
 */
public class FormButtonVO {

    private Integer btnAttachment;
    private Integer btnForcedEnd;
    private Integer btnPrint;
    private Integer btnCc;
    private Integer btnGoBack;
    private Integer btnTransfer;
    private List<GoBackUserTaskVO> goBackUserTasks;

    public Integer getBtnAttachment() {
        return btnAttachment == null ? 0 : btnAttachment;
    }

    public void setBtnAttachment(Integer btnAttachment) {
        this.btnAttachment = btnAttachment;
    }

    public Integer getBtnForcedEnd() {
        return btnForcedEnd == null ? 0 : btnForcedEnd;
    }

    public void setBtnForcedEnd(Integer btnForcedEnd) {
        this.btnForcedEnd = btnForcedEnd;
    }

    public Integer getBtnPrint() {
        return btnPrint == null ? 0 : btnPrint;
    }

    public void setBtnPrint(Integer btnPrint) {
        this.btnPrint = btnPrint;
    }

    public Integer getBtnCc() {
        return btnCc == null ? 0 : btnCc;
    }

    public void setBtnCc(Integer btnCc) {
        this.btnCc = btnCc;
    }

    public Integer getBtnGoBack() {
        return btnGoBack == null ? 0 : btnGoBack;
    }

    public void setBtnGoBack(Integer btnGoBack) {
        this.btnGoBack = btnGoBack;
    }

    public Integer getBtnTransfer() {
        return btnTransfer == null ? 0 : btnTransfer;
    }

    public void setBtnTransfer(Integer btnTransfer) {
        this.btnTransfer = btnTransfer;
    }

    public List<GoBackUserTaskVO> getGoBackUserTasks() {
        return goBackUserTasks == null ? new ArrayList() : goBackUserTasks;
    }

    public void setGoBackUserTasks(List<GoBackUserTaskVO> goBackUserTasks) {
        this.goBackUserTasks = goBackUserTasks;
    }
}
